Skip to main content
POST
Set weekly availability rule

Authorizations

Authorization
string
header
required

Your personal access token where supported, or a scoped API key (hc_…) created inside HueChat at Account → Developer API. Send it as Authorization: Bearer <token>.

Path Parameters

accountId
integer
required

HueChat account ID

Body

application/json

Weekly availability rule

day_of_week
integer
Required range: 0 <= x <= 6
Example:

1

effective_from
string<date>
effective_to
string<date>
end_minute
integer
Required range: 1 <= x <= 1440
Example:

1020

is_active
boolean
resource_id
string<uuid>
start_minute
integer
Required range: 0 <= x <= 1439
Example:

540

Response

OK

account_id
integer
created_at
string<date-time>
day_of_week
integer
effective_from
string<date>
effective_to
string<date>
end_minute
integer
id
string<uuid>
is_active
boolean
resource_id
string<uuid>
start_minute
integer
updated_at
string<date-time>